Name:           kroniax
Version:        1.2
Release:        %mkrel 9
Summary:        Sidescrolling skill-based game
Group:          Games/Arcade
License:        MIT
URL:            http://www.indiedb.com/games/kroniax
# Git repo: https://github.com/AlexAUT/Kroniax
Source0:        %{name}-%{version}.tar.xz
Patch0:         kroniax-1.2-mga-datadir.patch
Patch1:         kroniax-1.2-fix-missing-include-cmath.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(sfml-all)

%description
Kroniax is a sidescroller skill-based game. The main goal is to steer
a ship through each level without touching the walls. Players have to
steer their ship up by pressing the spacebar to counteract gravity.

A map editor is included to create custom maps.

%prep
%setup -q
%autopatch -p1

# workaround FTBFS with SFML >= 2.5
sed -i -e 's,${SFML_LIBRARIES},sfml-audio sfml-graphics sfml-window sfml-system sfml-network,' CMakeLists.txt

%build
%cmake
%cmake_build

%install
install -D -m755 build/Kroniax %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Kroniax
Comment=Sidescrolling skill-based game
GenericName=Skill game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;ActionGame;
EOF

install -D -m644 data/images/icon.png \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 1.2-9.mga8
+ Revision: 1513892
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-8.mga7
+ Revision: 1298649
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 1.2-7.mga7
+ Revision: 1239063
- fix build with SFML >= 2.5

* Wed Oct 04 2017 cjw <cjw> 1.2-6.mga7
+ Revision: 1168596
- rebuild with gcc 7 for sfml

* Sun Nov 13 2016 akien <akien> 1.2-5.mga6
+ Revision: 1067066
- Rebuild for SFML 2.4.1

* Fri May 13 2016 daviddavid <daviddavid> 1.2-4.mga6
+ Revision: 1015051
- add a patch to fix build due to missing include cmath header

* Mon Feb 15 2016 umeabot <umeabot> 1.2-3.mga6
+ Revision: 960872
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.2-2.mga6
+ Revision: 871104
- rebuild with gcc 5

* Sun Jul 05 2015 akien <akien> 1.2-1.mga6
+ Revision: 851697
- imported package kroniax

